Bug 855656 - Review Request: perl-Safe-Isa - Call isa, can, does and DOES safely on things that may not be objects
Review Request: perl-Safe-Isa - Call isa, can, does and DOES safely on things...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 12:05 EDT by Iain Arnell
Modified: 2014-10-30 21:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 00:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-09-09 12:05:11 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Safe-Isa.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Safe-Isa-1.000002-1.fc19.src.rpm
Koji URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=4469632

Description: 
How many times have you found yourself writing:

  if ($obj->isa('Something')) {

and then shortly afterwards cursing and changing it to:

  if (Scalar::Util::blessed($obj) and $obj->isa('Something')) {

Right. That's why this module exists.
Comment 1 Petr Pisar 2012-09-13 11:35:29 EDT
Source tar ball is original (verified from <http://search.cpan.org/CPAN/authors/id/M/MS/MSTROUT/Safe-Isa-1.000002.tar.gz>, SHA-256: 74f3fbbc296183a7cacada11304073a67a4beca4fd77aa2eff89af6fbc23591e). Ok.
Source0 and URL are usable. Ok.
Summary verified from lib/Safe/Isa.pm. Ok.
Description verified from lib/Safe/Isa.pm. Ok.
License verified from lib/Safe/Isa.pm. Ok.
No XS code, noarch BuildArch is Ok.
Build-time dependencies are Ok.
All tests pass. Ok.

$ rpmlint perl-Safe-Isa.spec ../SRPMS/perl-Safe-Isa-1.000002-1.fc19.src.rpm ../RPMS/noarch/perl-Safe-Isa-1.000002-1.fc19.noarch.rpm 
perl-Safe-Isa.src: W: spelling-error %description -l en_US Util -> Til, U til, Until
perl-Safe-Isa.noarch: W: spelling-error %description -l en_US Util -> Til, U til, Until
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint us Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Safe-Isa-1.000002-1.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Sep 13 17:29 /usr/share/doc/perl-Safe-Isa-1.000002
-rw-r--r--    1 root    root                      232 Jul 19 21:00 /usr/share/doc/perl-Safe-Isa-1.000002/Changes
-rw-r--r--    1 root    root                     3713 Jul 19 21:00 /usr/share/doc/perl-Safe-Isa-1.000002/README
-rw-r--r--    1 root    root                     3232 Sep 13 17:29 /usr/share/man/man3/Safe::Isa.3pm.gz
drwxr-xr-x    2 root    root                        0 Sep 13 17:29 /usr/share/perl5/vendor_perl/Safe
-rw-r--r--    1 root    root                     4003 Jul 19 21:00 /usr/share/perl5/vendor_perl/Safe/Isa.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Safe-Isa-1.000002-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(base)
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.16.1)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides  -p ../RPMS/noarch/perl-Safe-Isa-1.000002-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(Safe::Isa) = 1.000002
      1 perl-Safe-Isa = 1.000002-1.fc19
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Safe-Isa-1.000002-1.fc19.noarch.rpm
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4481430). Ok.

Package is in line with Fedora and Perl packaging guidelines.


Resolution: Package APPROVED.
Comment 2 Iain Arnell 2012-09-15 09:58:47 EDT
New Package SCM Request
=======================
Package Name: perl-Safe-Isa
Short Description: Call isa, can, does and DOES safely on things that may not be objects
Owners: iarnell
Branches: f16 f17 f18
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-09-15 10:51:46 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-09-16 12:20:55 EDT
perl-Safe-Isa-1.000002-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Safe-Isa-1.000002-1.fc18
Comment 5 Fedora Update System 2012-09-16 12:21:05 EDT
perl-Safe-Isa-1.000002-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Safe-Isa-1.000002-1.fc17
Comment 6 Fedora Update System 2012-09-16 12:21:15 EDT
perl-Safe-Isa-1.000002-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Safe-Isa-1.000002-1.fc16
Comment 7 Fedora Update System 2012-09-16 15:17:25 EDT
perl-Safe-Isa-1.000002-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2012-09-23 00:56:57 EDT
perl-Safe-Isa-1.000002-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2012-09-26 04:50:39 EDT
perl-Safe-Isa-1.000002-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-09-26 04:56:48 EDT
perl-Safe-Isa-1.000002-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Paul Howarth 2014-10-14 07:15:25 EDT
Package Change Request
======================
Package Name: perl-Safe-Isa
New Branches: el5 el6 epel7
Owners: pghmcfc

Fedora maintainer Iain has been away from Fedora/EPEL for a long time now, which is why I'm requesting the branches:

https://lists.fedoraproject.org/pipermail/devel/2014-October/203216.html

Iain is of course welcome to maintain/co-maintain these upon his return.
Comment 12 Gwyn Ciesla 2014-10-14 07:58:08 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2014-10-14 10:01:17 EDT
perl-Safe-Isa-1.000005-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Safe-Isa-1.000005-2.el5
Comment 14 Fedora Update System 2014-10-14 10:01:25 EDT
perl-Safe-Isa-1.000005-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Safe-Isa-1.000005-2.el6
Comment 15 Fedora Update System 2014-10-14 10:01:32 EDT
perl-Safe-Isa-1.000005-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Safe-Isa-1.000005-2.el7
Comment 16 Fedora Update System 2014-10-30 21:23:08 EDT
perl-Safe-Isa-1.000005-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 17 Fedora Update System 2014-10-30 21:23:19 EDT
perl-Safe-Isa-1.000005-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2014-10-30 21:26:37 EDT
perl-Safe-Isa-1.000005-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.